/* 
 * $RCSfile: llc802_2_host.h,v $
 *
 * x-kernel v3.x
 *
 * Copyright (c) 1993 University of Massachusetts
 *
 *
 * $Log: llc802_2_host.h,v $
 * Revision 1.2  1994/02/04  21:00:11  menze
 *   [ 1994/01/30          menze ]
 *   Using xk_u_intN types
 *
 *   [ 1994/01/04          menze ]
 *   Removed inclusion of "all.h"
 *
 * Revision 1.1  1993/11/13  00:59:37  menze
 * Original version from UMass
 *
 *
 * Date: 1993/04/29 
 */


#ifndef llc802_2_host_h
#define llc802_2_host_h

/*
 * Ethernet types
 *
 * Ether-speak for protocol numbers is "types".
 * Unfortunately, ether "types" are unsigned shorts,
 * while xkernel PROTLs are ints.
 */

typedef xk_u_int16    ETHtype, ethType_t;

typedef struct {
    xk_u_int8      dsap;           /* SNAP destination service access point */ 
    xk_u_int8      ssap;           /* SNAP source service access point */
    xk_u_int8      control;        /* SNAP control field */
    xk_u_int8      OrgCodePart1;   /* SNAP Organization code (3 bytes) ... */
    xk_u_int16     OrgCodePart2;
    ethType_t EtherType;      /* Ethernet type */
} llc802_2_Type;

#endif /* llc802_2_host_h */
